CreateComponentFrom3DBuilder Class

class NXOpen.Layout2d.CreateComponentFrom3DBuilder

Bases: NXOpen.Display.DynamicSectionBuilder

Represents a Builder that creates NXOpen.Layout2d.Component from Assembly

To create a new instance of this class, use NXOpen.Layout2d.ComponentCollection.CreateComponentFrom3dBuilder()

Default values.

Property Value
BoxExtentDelayUpdate false
CapColorOption Any
ClipType Section
CurveColorOption Any
LockPlanes true
ShowCap true
ShowClip true
ShowCurves (deprecated) false
ShowGrid false
ShowInterference false
ShowViewer false
Type OnePlane

New in version NX11.0.0.

Properties

Property Description
BoxExtentDelayUpdate Returns or sets the delay box extent update.
BoxExtentMargin Returns or sets the margin for box section extents
BoxExtentObjects Returns the objects that define the extents for box section.
BoxExtentSupported Returns the box extent support.
CapColor Returns or sets the cap color.
CapColorOption Returns or sets the cap color option
ClipType Returns or sets the clip type
ComponentName Returns or sets the component name
CsysType Returns or sets the coordinate system used for creating section plane along X, Y or Z principal planes.
CurveColor Returns or sets the curve color.
CurveColorOption Returns or sets the curve color option
DefaultPlaneAxis Returns or sets the axis indicating the default plane normal.
DeferCurveUpdate Returns or sets the defer curve update property.
InterferenceColor Returns or sets the interference color.
LayerSettings Returns the layer settings builder
LockPlanes Returns or sets the lock planes flag.
Method Returns or sets the method to utilize in create Component from 3D
NumberInSeries Returns or sets the number of requested section planes in the current section series.
ReverseSeries Returns or sets the reverse series flag
SelectedObjects Returns the selected objects of Solid body or Component type
SeriesSpacing Returns or sets the section plane spacing in the current section series.
Settings Returns or sets the settings of create component from 3D
ShowCap Returns or sets the cap on off flag
ShowClip Returns or sets the clip on off flag
ShowCurves Returns or sets the curve on off flag.
ShowGrid Returns or sets the show grid display flag
ShowInterference Returns or sets the interference on off flag.
ShowViewer Returns or sets the 2D viewer display flag
Tag Returns the Tag for this object.
Type Returns or sets the section type
View Returns or sets the modeling view in which section object edits are being done.

Methods

Method Description
AlternatePlane Cycle through planes that are 90 degrees aligned to the current section plane.
Commit Commits any edits that have been applied to the builder.
CreateDatumPlane Creates a datum plane from the active section plane.
Destroy Deletes the builder, and cleans up any objects created by the builder.
EditView Edits the section object in the modeling view.
GetActivePlane Gets the active plane in the section.
GetAllPlanesGeometry Gets geometry for all planes of the section.
GetBoundingBox Gets bounding box used by the section.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetGridSettings Creates a grid settings builder from the active section plane.
GetName Gets the section name.
GetNormal Gets the normal of the section plane
GetObject Returns the object currently being edited by this builder.
GetOffset Gets the the plane offset.
GetOffsetLimits Gets minimum and maximum offset limits.
GetOrigin Gets the section origin.
GetPlaneGeometry Gets geometry of specified plane of the section.
GetPlaneThickness Gets the thickness between active plane pair.
GetProjectionPlane Gets the projection plane origin and orientation matrix
GetRotationAngle Gets rotation angle for specified axis.
GetRotationMatrix Gets the section rotation matrix
GetSourcePart Returns the current source part
IsAssociativitySupported Determines if an associative section plane is supported.
IsDefaultPlane Indicates whether the section plane is at the default location.
LoadAllIntersecting Loads all components that intersect the current section plane.
LoadNearIntersecting Loads components that intersect the current section plane and are near the section plane origin.
OffsetOriginInPlane Offsets section origin within current section plane.
PlaneX Creates a plane along X direction.
PlaneY Creates a plane along Y direction.
PlaneZ Creates a plane along Z direction.
RestoreView Restores the section to the saved section in the view database.
ReverseDirection Reverses the plane direction.
SaveCurves Creates curves by intersecting all clipping planes of the section with all visible bodies in the scene and adds them to the group created with the specified name.
SetActivePlane Sets the active plane in the section
SetAllPlanesGeometry Sets geometry for all planes of the section.
SetAssociativePlane Makes dynamic section associative to the specified plane The plane must be a smart plane; otherwise an error will be reported.
SetBoundingBox Sets bounding box for the section.
SetDefaultPlane Set current section plane to its default definition.
SetDefaults Set current section to the default values.
SetName Sets the section name.
SetNormal Sets the normal of the section plane
SetOffset Sets the the plane offset.
SetOffsetByPoint This method offsets the active clipping plane such that the plane passes through the specified point.
SetOrigin Sets the section origin.
SetPlane Sets a section plane to be the specified plane The plane is created at the specified origin with the specified rotation matrix.
SetPlaneThickness Sets the thickness between active plane pair.
SetProjectionPlane Sets the projection plane specified by origin, y and z vectors, where z is the plane normal and the x vector is computed.
SetRotationAngle Rotates the section about specified axis by the specified angle.
SetRotationMatrix Sets the section rotation matrix
SetSourcePart Sets the source part to create 2D component from.
ShowCurvePreview Show/hide curve preview.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
ShowSectionCurves Shows the section curves in the view associated with the builder.
UpdateBoxExtents Update box section display by recomputing the box extents if necessary.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

ComponentName

CreateComponentFrom3DBuilder.ComponentName

Returns or sets the component name

-------------------------------------

Getter Method

Signature ComponentName

Returns:
Return type:str

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

-------------------------------------

Setter Method

Signature ComponentName

Parameters:name (str) –

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

Method

CreateComponentFrom3DBuilder.Method

Returns or sets the method to utilize in create Component from 3D

-------------------------------------

Getter Method

Signature Method

Returns:
Return type:NXOpen.Layout2d.CreateComponentFrom3DBuilderCreateMethod

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Method

Parameters:method (NXOpen.Layout2d.CreateComponentFrom3DBuilderCreateMethod) –

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

SelectedObjects

CreateComponentFrom3DBuilder.SelectedObjects

Returns the selected objects of Solid body or Component type

-------------------------------------

Getter Method

Signature SelectedObjects

Returns:
Return type:NXOpen.SelectTaggedObjectList

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

Settings

CreateComponentFrom3DBuilder.Settings

Returns or sets the settings of create component from 3D

-------------------------------------

Getter Method

Signature Settings

Returns:
Return type:NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Settings

Parameters:settings (NXOpen.Layout2d.CreateComponentFrom3DSettingsBuilder) –

New in version NX11.0.0.

License requirements: None.

Method Detail

GetProjectionPlane

CreateComponentFrom3DBuilder.GetProjectionPlane

Gets the projection plane origin and orientation matrix

Signature GetProjectionPlane()

Returns:a tuple
Return type:A tuple consisting of (origin, orientation). origin is a NXOpen.Point3d. orientation is a NXOpen.Matrix3x3.

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

GetSourcePart

CreateComponentFrom3DBuilder.GetSourcePart

Returns the current source part

Signature GetSourcePart()

Returns:
Return type:NXOpen.Part

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

SetProjectionPlane

CreateComponentFrom3DBuilder.SetProjectionPlane

Sets the projection plane specified by origin, y and z vectors, where z is the plane normal and the x vector is computed.

Signature SetProjectionPlane(origin, yAxis, zAxis)

Parameters:

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

SetSourcePart

CreateComponentFrom3DBuilder.SetSourcePart

Sets the source part to create 2D component from.

The part may be the current work part or other part loaded in session.

Signature SetSourcePart(part)

Parameters:part (NXOpen.Part) –

New in version NX11.0.0.

License requirements: nx_layout (“NX Layout”)

Validate

CreateComponentFrom3DBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.